MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025281Community[OCCT] OCCT:Meshpublic2014-09-28 10:232014-11-12 09:52
Reporternikiml 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025281: BRepMesh_IncrementalMesh does not return
Descriptionat least it does not return in any reasonable time.

It seems to be looping inside checkWiresIntersection@
opencascade-6.7.1\src\BRepMesh\BRepMesh_Classifier.cxx:155

it happens with the code below and the attached file
Steps To Reproduce###########################################################################
# DRAW REPRODUCER
###########################################################################
pload ALL
param xstep.cascade.unit M
stepread tess_infloop_extract.step a *

# by default angular parameter is 0.5 that is less than the value in source code given below - so, it is acceptable for test
incmesh a_1 0.0002 1




###########################################################################
# C++ CODE USED TO REPRODUCE THE PROBLEM
###########################################################################
STEPControl_Reader reader;

Standard_CString s = Interface_Static::CVal("xstep.cascade.unit");
if(s != "M")
    Interface_Static::SetCVal("xstep.cascade.unit", "M");

IFSelect_ReturnStatus stat = reader.ReadFile(attached_test_file);
if(IFSelect_RetDone!=stat)return;

reader.PrintCheckLoad(Standard_False,IFSelect_ItemsByEntity);

Standard_Integer nbr = reader.NbRootsForTransfer();
for ( Standard_Integer n = 1; n<=nbr; n++)
    Standard_Boolean ok = reader.TransferRoot(n);

Standard_Integer nbs = reader.NbShapes();
if (!nbs) return;

for (Standard_Integer i=1; i<=nbs; i++) {
    TopExp_Explorer ex;
    for (ex.Init(reader.Shape(i),TopAbs_SOLID);ex.More(); ex.Next())
        BRepMesh_IncrementalMesh(ex.Current(),0.00020968042885164233, Standard_False, 0.52359877559829882);
}
TagsNo tags attached.
Test case numberbugs mesh bug25281
Attached Files7z file icon tess_infloop_extract.7z (32,301 bytes) 2014-09-28 10:23

- Relationships
duplicate of 0024938closedbugmaster BRepMesh_IncrementalMesh hangs 

-  Notes
(0032326)
nikiml (developer)
2014-09-29 17:42

May be this one belong s to OCCT:Mesh
(0033231)
oan (developer)
2014-10-16 19:48

Dear Bugmaster,

reported problem is not reproduced on current master.
Please create test case and test.
(0033931)
git (administrator)
2014-10-31 12:28

Branch CR25281 has been created by apn.

SHA-1: e17073b3e642339a0941a74aff4988692b629f62


Detailed log of new commits:

Author: apn
Date: Fri Oct 31 12:28:02 2014 +0300

    0025281: BRepMesh_IncrementalMesh does not return
    
    Added test case bugs/mesh/bug25281
(0033932)
apn (administrator)
2014-10-31 12:28

Problem is not reproduced on current state of master on Windows and Debian60-64 in Release and Debug modes.
Branch CR25281 was created. It contains test case:
bugs mesh bug25281 - OK
(0034301)
git (administrator)
2014-11-12 09:52

Branch CR25281 has been deleted by inv.

SHA-1: e17073b3e642339a0941a74aff4988692b629f62

- Related Changesets
occt: master dbf0485e
Timestamp: 2014-10-31 09:28:02
Author: apn
Committer: bugmaster
Details ] Diff ]
0025281: BRepMesh_IncrementalMesh does not return

Added test case bugs/mesh/bug25281
add - tests/bugs/mesh/bug25281 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-28 10:23 nikiml New Issue
2014-09-28 10:23 nikiml Assigned To => gka
2014-09-28 10:23 nikiml File Added: tess_infloop_extract.7z
2014-09-29 17:42 nikiml Note Added: 0032326
2014-09-29 17:57 abv Category OCCT:Data Exchange => OCCT:Mesh
2014-10-16 19:45 oan Steps to Reproduce Updated View Revisions
2014-10-16 19:46 oan Steps to Reproduce Updated View Revisions
2014-10-16 19:47 oan Steps to Reproduce Updated View Revisions
2014-10-16 19:48 oan Note Added: 0033231
2014-10-16 19:48 oan Assigned To gka => bugmaster
2014-10-16 19:48 oan Status new => feedback
2014-10-16 19:50 oan Relationship added duplicate of 0024938
2014-10-16 19:51 oan Target Version => 6.8.0
2014-10-17 14:13 bugmaster Assigned To bugmaster => apv
2014-10-20 12:02 bugmaster Assigned To apv => apn
2014-10-31 12:28 git Note Added: 0033931
2014-10-31 12:28 apn Note Added: 0033932
2014-10-31 12:29 apn Test case number => bugs mesh bug25281
2014-10-31 12:29 apn Assigned To apn => bugmaster
2014-10-31 12:29 apn Status feedback => tested
2014-11-06 15:18 bugmaster Changeset attached => occt master dbf0485e
2014-11-06 15:18 bugmaster Status tested => verified
2014-11-06 15:18 bugmaster Resolution open => fixed
2014-11-11 12:42 user533 Fixed in Version => 6.8.0
2014-11-11 13:03 user533 Status verified => closed
2014-11-12 09:52 git Note Added: 0034301


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker